process.env.DISABLE_NOTIFIER = true;

var elixir = require('laravel-elixir');
/*
 |--------------------------------------------------------------------------
 | Elixir Asset Management
 |--------------------------------------------------------------------------
 |
 | Elixir provides a clean, fluent API for defining some basic Gulp tasks
 | for your Laravel application. By default, we are compiling the Sass
 | file for our application, as well as publishing vendor resources.
 |
 */

elixir.config.assetsPath = 'static';
elixir.config.publicPath = 'static';
elixir.config.css.folder = '.';
elixir.config.js.uglify.options.mangle = { except: ["$super"] }; // Required for prototype.js

elixir(function(mix) {
    mix
        .styles([
            "css/yui/reset-fonts-grids.css",
            "css/yui/base.css",
            "js/prototip/css/prototip.css",
            "js/jscal2/css/jscal2.css",
            "js/syntaxhighlighter/styles/shCore.css",
            "js/syntaxhighlighter/styles/shThemeRDark.css",
            "css/base.css"
        ], "static/css/helpspot.css")
        .styles([
            "css/yui/reset-fonts-grids.css",
            "css/print.css"
        ], "static/css/helpspot-print.css");

    mix
        .scripts([
            "prototype.js",
            "jquery.js",
            "jquery.colorbox.js",
            "jquery.hoverIntent.js",
            "jquery.cookie.js",
            "jquery.localstorage.js",
            "textboxio/textboxio/textboxio.js",
            "jquery.dropzone.js",
            "jquery.idle-timer.js",
            "jquery.timer.js",
            "jquery.noconflict.js",
            "general.js",
            "scriptaculous/builder.js",
            "scriptaculous/effects.js",
            "scriptaculous/dragdrop.js",
            "scriptaculous/controls.js",
            "scriptaculous/slider.js",
            "prototip/js/prototip/prototip.js",
            "validation.js",
            "livepipe/livepipe.js",
            "livepipe/tabs.js",
            "DynamicOptionList.js",
            "jscolor/jscolor.min.js",
            "syntaxhighlighter/scripts/shCore.js",
            "syntaxhighlighter/scripts/shBrushCss.js",
            "syntaxhighlighter/scripts/shBrushJScript.js",
            "syntaxhighlighter/scripts/shBrushPhp.js",
            "syntaxhighlighter/scripts/shBrushXml.js",
            "jscal2/js/jscal2.js",
            "jscal2/js/unicode-letter.js"
        ], "static/js/helpspot.js")

        .scripts([
            "milonic/milonic_src.js",
            "milonic/mmenudom.js"
        ], "static/js/helpspot.milonic.js")

        .scripts([
            "prototype.js",
            "scriptaculous/effects.js",
            "DynamicOptionList.js",
            "jscal2/js/jscal2.js",
            "jscal2/js/unicode-letter.js",
            "portal.js"
        ], "static/js/helpspot.portal.js");

    mix.version([
        "static/css/helpspot.css",
        "static/css/helpspot-print.css",
        "static/js/helpspot.js",
        "static/js/helpspot.milonic.js",
        "static/js/helpspot.portal.js"
    ]);
});
